<?php

if ( ! defined( 'ABSPATH' ) ) exit;

class WooCommerce_Shipmate_Orders_Metabox {
	protected $PROPERTY;

	public function __construct($PROPERTY)
	{
		$this->PROPERTY = $PROPERTY;
	}
	




	/**
	 * Output the metabox.
	 *
	 * @param WP_Post $post
	 */
	public static function output() {
		$shipmate_api_service = new WooCommerce_Shipmate_Service();

		$packaging_options = array();

		$response = $shipmate_api_service->packaging_option();

		if($response->http_code() == 200) {
			$packaging_options = $response->data();
		}

		$auto_print = get_option("_shipmate_printing_type", 'true') === 'true';
		$modal_title = $auto_print ? 'Print Shipping Labels' : 'Generate Shipments';
		$modal_print_button_text = $auto_print ? 'Print Labels' : 'Generate Shipments';
		$modal_print_button_text_in_progess = $auto_print ? 'Printing' : 'Generating';
		$general_button_text = $auto_print ? 'Print Labels with Shipmate' : 'Generate Shipments with Shipmate';


		$shipmate_services = array();

	
		$response = $shipmate_api_service->services();

		if($response->http_code() == 200) {
			$shipmate_services = $response->data();
		}


		$tempHold = [];
		// Order and rename shipmate services
		foreach($shipmate_services as $shipmate_service) {
			$tempHold[] = ['key' => $shipmate_service->key, 'name' => $shipmate_service->carrier . " - " . $shipmate_service->name];
		}
		usort($tempHold, function($a, $b) {
			return strcasecmp($a['name'], $b['name']);
		});

		foreach($tempHold as $index => $value) {
			$tempHold[$index] = (object)$value;
		}

		$shipmate_services = $tempHold;


		$userLinked = empty(get_user_meta(get_current_user_id(), '_shipmate_user_id', true)) ? false : true;
		
		include_once( dirname( __FILE__ ) . '/views/html-admin-orders-shipmate.php' );
	}

	/**
	 * Save meta box data.
	 *
	 * @param int $post_id
	 * @param WP_Post $post
	 */
	public static function save( $post_id, $post ) {
	
	}
}
