<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<h2>
	<?php _e( 'Shipmate Delivery Routing', 'woocommerce' ); ?>
	<?php echo wc_help_tip( __( 'In order to select the correct delivery service, please specify the required delivery service levels for each of your shipping options.', 'woocommerce' ) ); ?>
</h2>

<table class="widefat">
	<thead>
		<tr>
			<th>Shipping Option</th>
			<th>Delivery Service</th>
		</tr>
	</thead>
	<tfoot>
		<?php foreach($wp_shipping_options as $key => $wp_shipping_option) { ?>
			<tr>
				<td><?php echo $wp_shipping_option->method_title; ?><input type="hidden" name="shipping_option[<?php echo $key; ?>]" value="<?php echo $wp_shipping_option->id; ?>"></td>
				<td>
					<?php $selected_service = get_option("_shipmate_delivery_service_" . $key); ?>

					<select name="delivery_service[<?php echo $key; ?>]">
						<option value="">Any</option>
						<option value="1" <?php echo $selected_service == "1" ? ' selected="selected"': ''; ?>>Next Day</option>
						<option value="2" <?php echo $selected_service == "2" ? ' selected="selected"': ''; ?>>Two Day</option>
						<option value="3" <?php echo $selected_service == "3" ? ' selected="selected"': ''; ?>>Economy</option>
					</select>
				</td>
			</tr>
		<?php } ?>
	</tfoot>
</table>
